Configure Meta Lead Ads
curl --request POST \
--url https://api.trillet.ai/v1/api/meta-lead/configure/{flowId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"clientId": "<string>",
"clientSecret": "<string>",
"userAccessToken": "<string>",
"callDelaySeconds": 123,
"selectedPages": [
{
"pageId": "<string>",
"forms": [
{}
]
}
]
}
'import requests
url = "https://api.trillet.ai/v1/api/meta-lead/configure/{flowId}"
payload = {
"clientId": "<string>",
"clientSecret": "<string>",
"userAccessToken": "<string>",
"callDelaySeconds": 123,
"selectedPages": [
{
"pageId": "<string>",
"forms": [{}]
}
]
}
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-workspace-id': '<x-workspace-id>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
clientId: '<string>',
clientSecret: '<string>',
userAccessToken: '<string>',
callDelaySeconds: 123,
selectedPages: [{pageId: '<string>', forms: [{}]}]
})
};
fetch('https://api.trillet.ai/v1/api/meta-lead/configure/{flowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"webhookRegistered": true
}
Configure Meta Lead Ads
Configure Meta Lead Ads integration for a specific call flow. When a new lead is received, it automatically triggers a call.
POST
/
v1
/
api
/
meta-lead
/
configure
/
{flowId}
Configure Meta Lead Ads
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
Path Parameters
string
required
The call flow ID to configure Meta Lead Ads for.
Request Body
string
required
Meta App client ID.
string
required
Meta App client secret.
string
required
Meta user access token from the OAuth flow.
number
default:"0"
Delay in seconds before calling a new lead.
array
required
Response Fields
boolean
Whether the configuration was successful.
boolean
Whether the webhook was successfully registered with Meta.
{
"success": true,
"webhookRegistered": true
}
⌘I
